Method: projects.locations.clusters.completeControlPlaneUpgrade

clusters.completeControlPlaneUpgrade completes the rollback-safe upgrade by performing the step two upgrade for a specific cluster.

HTTP request

POST https://container.googleapis.com/v1beta1/{name=projects/*/locations/*/clusters/*}:completeControlPlaneUpgrade

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

The name (project, location, cluster) of the cluster to complete upgrade. Specified in the format projects/*/locations/*/clusters/*.

Authorization requires the following IAM permission on the specified resource name:

  • container.clusters.update

Request body

The request body contains data with the following structure:

JSON representation
{
  "version": string
}
Fields
version

string

API request version that initiates this operation.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/container

For more information, see the Authentication Overview.